makeflow_analyze(1)

NAME

makeflow_analyze - analysis of Makeflow workflows

SYNOPSIS

makeflow_analyze [options] <dagfile>

DESCRIPTION

makeflow_analyze is a collection of tools to provide insight into the structure of workflows. This includes syntax analysis and dag statistics.

OPTIONS

  Commands

-b,--bundle-dir=<directory>
    Create portable bundle of workflow.

-h,--help
    Show this help screen.

-I,--show-input
    Show input files.

-k,--syntax-check
    Syntax check.

-O,--show-output
    Show output files.

-v,--version
    Show version string.

EXAMPLES

Analyze the syntax of a workflow:

    makeflow_analyze -k Makeflow

COPYRIGHT

The Cooperative Computing Tools are Copyright (C) 2022 The University of Notre Dame. This software is distributed under the GNU General Public License. See the file COPYING for details.

SEE ALSO

•   Cooperative Computing Tools Documentation

•   Makeflow User Manual

•   makeflow(1) makeflow_monitor(1) makeflow_analyze(1) makeflow_viz(1) makeflow_graph_log(1) starch(1) makeflow_ec2_setup(1) makeflow_ec2_cleanup(1)